Debian Bug report logs - #715878
[Mayhem] Bug report on staden-io-lib-utils: extract_qual crashes with exit status 139

version graph

Package: staden-io-lib-utils; Maintainer for staden-io-lib-utils is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for staden-io-lib-utils is src:staden-io-lib.

Reported by: Alexandre Rebert <alexandre@cmu.edu>

Date: Wed, 10 Jul 2013 19:01:58 UTC

Severity: normal

Found in version staden-io-lib/1.12.4-1

Fixed in version staden-io-lib/1.13.3-1

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/p/staden/bugs/101/

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#715878; Package staden-io-lib-utils. (Wed, 10 Jul 2013 19:02:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rebert <alexandre@cmu.edu>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 10 Jul 2013 19:02:02 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Alexandre Rebert <alexandre@cmu.edu>
To: Debian Bug Tracking System: <maintonly@bugs.debian.org>
Subject: [Mayhem] Bug report on staden-io-lib-utils: extract_qual crashes with exit status 139
Date: Wed, 10 Jul 2013 15:00:05 -0400
[Message part 1 (text/plain, inline)]
Package: staden-io-lib-utils
Version: 1.12.4-1
Severity: normal
User: mayhem@forallsecure.com
Usertags: mayhem

extract_qual crashes with exit status 139. We confirmed the crash by
re-running it in a fresh debian unstable installation.

The attachment [1] contains a testcase (under ./crash) crashing the
program. It ensures that you can easily reproduce the bug. Additionally,
under ./crash_info/, we include more information about the crash such as
a core dump, the dmesg generated by the crash, and its output.

Regards,
The Mayhem Team (Alexandre Rebert, Thanassis Avgerinos, Sang Kil Cha, David Brumley, Manuel Egele)
Cylab, Carnegie Mellon University

[1] http://www.forallsecure.com/bug-reports/2341d4d841649144abab5316304acc129d2a8459/full_report


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.9-1-686-pae (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages staden-io-lib-utils depends on:
ii  libc6            2.17-6
ii  libstaden-read1  1.12.4-1

staden-io-lib-utils recommends no packages.

staden-io-lib-utils suggests no packages.

-- no debconf information
[extract_qual-report.tar.bz2 (application/octet-stream, attachment)]

Set Bug forwarded-to-address to 'https://sourceforge.net/p/staden/bugs/101/'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 10 Aug 2013 23:39:11 GMT) Full text and rfc822 format available.

Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Sat, 30 Nov 2013 09:51:22 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Rebert <alexandre@cmu.edu>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 09:51:23 GMT) Full text and rfc822 format available.

Message #12 received at 715878-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 715878-close@bugs.debian.org
Subject: Bug#715878: fixed in staden-io-lib 1.13.3-1
Date: Sat, 30 Nov 2013 09:50:25 +0000
Source: staden-io-lib
Source-Version: 1.13.3-1

We believe that the bug you reported is fixed in the latest version of
staden-io-lib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 715878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated staden-io-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 30 Nov 2013 18:11:11 +0900
Source: staden-io-lib
Binary: staden-io-lib-utils libstaden-read-dev libstaden-read1
Architecture: source amd64
Version: 1.13.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 libstaden-read-dev - development files for libstaden-read
 libstaden-read1 - Staden library for reading and writing DNA sequencing results
 staden-io-lib-utils - programs for maniuplating DNA sequencing files
Closes: 715753 715877 715878 715879 715953
Changes: 
 staden-io-lib (1.13.3-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #715753, #715877, #715878, #715879, #715953.
 .
   [ Adam Conrad ]
   * Use dh_autotools-dev to update config.{sub,guess} for new ports.
 .
   [ Charles Plessy ]
   * Updated symbols file: some symbols have been removed, but they relate
     to obsolete code that is not expected to be used.
   * Conforms to Policy 3.5.9.
Checksums-Sha1: 
 13b01d9093e7f8a26b190bf88f93eba3ebea3bca 2297 staden-io-lib_1.13.3-1.dsc
 b7cbcf5cd32ad38ea8ae8268d6ef27e26d053a09 1660530 staden-io-lib_1.13.3.orig.tar.gz
 328a2f4a5617f627976f94eb937ff624a7669ed6 10792 staden-io-lib_1.13.3-1.debian.tar.gz
 ca5ca3549936c8234a86e0abcc0d507b6eaa3188 197676 staden-io-lib-utils_1.13.3-1_amd64.deb
 f89e33dc372923b69c4b07f291abf6fa92821301 292404 libstaden-read-dev_1.13.3-1_amd64.deb
 add3fb5ff9cdef53136ec37298fe58fa0e44560f 230196 libstaden-read1_1.13.3-1_amd64.deb
Checksums-Sha256: 
 d6f44e70e3e9830bd4b16bf3a53ffe61bb8c39ff267ac538fbf2dcfada0d8c41 2297 staden-io-lib_1.13.3-1.dsc
 d6ac0ba3578e69e4ec3df379f068e4f215dc5accfc566a5b155d06aaf170fc08 1660530 staden-io-lib_1.13.3.orig.tar.gz
 1b45642e06f5cda9b6af2e8caa383138ffa13915bf37bc03cb5fea08783edd77 10792 staden-io-lib_1.13.3-1.debian.tar.gz
 55d64167b35bef9d04d901a24f92f0e3c4ae1c5113f5e477a03f73dc63db3d48 197676 staden-io-lib-utils_1.13.3-1_amd64.deb
 5817df361e09e2dffdaedcadda3ba1662ea316e96378b7d6e8d5231e0c5fe05f 292404 libstaden-read-dev_1.13.3-1_amd64.deb
 4b5ab8ceb4c4ad29ebf0a9ee5081c29d8fb122704f62ab5e2c8db9bbe54a4367 230196 libstaden-read1_1.13.3-1_amd64.deb
Files: 
 20c9a9e766b40db5892527f613936800 2297 science optional staden-io-lib_1.13.3-1.dsc
 819393d28cb0a8606242e5a8445f6ac1 1660530 science optional staden-io-lib_1.13.3.orig.tar.gz
 06a1db48b76e341ed7682d6ec006e83e 10792 science optional staden-io-lib_1.13.3-1.debian.tar.gz
 4b9db3315bf8ac407ff21a92a7237003 197676 science optional staden-io-lib-utils_1.13.3-1_amd64.deb
 7b4a1679fc261d914947ebe35d24b291 292404 libdevel optional libstaden-read-dev_1.13.3-1_amd64.deb
 c2b9eb8042fe266814d8a847550be4a9 230196 libs optional libstaden-read1_1.13.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSma7nAAoJEMW9bI8ildUCScUP/j0DvJQgYr7oyquE4PEjxt9+
Dw1Wjch3jVkjcSEIVgF/Zx+xqQOQHMP/8rPxSYn//HVOFmBuGvGynX168ozJZvIl
n6HBbMxBXEzY3iY78cL9nlwhSrLIivK+rpYsScttGXJ6+JvAfc9dCwtG4+gkad6+
g2dgc/vSE6jKFDJWdVA9ZU0D3nn7VoLHFik7x6qDW8BEKElvtbJ/ipsjJOdupf4J
aFjvPBWL7/suRVuUa6CqFag+xqNnMnPVoNiJMYOYLZ8gE9coghWAEIOT446KEtdt
HGXWjpi59UtE4j4qhneN4MMoHcSmYA6TXhkqTTL8k9wwtom0zmLr+gV3tJ39pZ7n
N3raQl0D0pJ+wH8zRHJVW27XZw20b+yXtfA0PctE5pm2oyT/QAu5FdjHTnR6cv17
MXPOiEmpCVMBsNSQtpm+Pq9uWEGyVckUuiagac0q0aj0n64UrFLbRz3bklNvhkRT
aCo0Sy0dXeIvUGNvyDXe/BqiDpFsIU/naCixKclLA6I+vwgzuBfSA9WM5ARTmNdU
Ca8lCFHWbGth8kZRWUzzkva1ZW7lqYXyMoX55jvL35eYd0e2NiKOd3PPq7kvqotC
Ye3Fqh0slJ96MDX9tDgxgyG2xu0a8Aa7zgAyQ1GbmEK4RnsxlMDMpl/1a8H8e9Np
OjolauBweWgP8CP5RiBA
=dBuF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Apr 2014 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:34:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.